Get a subnetwork for a network pool

GET/v1/network_pools/{network_pool_id}/subnetworks/{network_id}

Get details about a subnetwork with the help of a GET request to the /v1/network_pools/{network_pool_id}/subnetworks/{network_id} endpoint. IDs of the network pool and subnet have to be added to the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

network_pool_id*string

A unique identifier of the pool that contains a subnetwork.

network_id*string

A unique identifier of a subnetwork.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/network_pools/jnegZ9dw/subnetworks/olejZWej"
{  "id": "olejZWej",  "network_pool_id": "jnegZ9dw",  "title": "Public",  "cidr": "100.10.32.0/29",  "attached": true,  "interface_type": "public",  "updated_at": "2026-05-28T06:56:09Z",  "created_at": "2026-05-28T06:56:09Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}